## org.jboss.netty.handler.codec.http
Class DefaultHttpChunk

    java.lang.Object
      org.jboss.netty.handler.codec.http.DefaultHttpChunk

All Implemented Interfaces:
  HttpChunk

    public class DefaultHttpChunk

extends Object
implements HttpChunk

The default `HttpChunk` implementation.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Field Summary

Fields inherited from interface org.jboss.netty.handler.codec.http.HttpChunk
`LAST_CHUNK`

Constructor Summary
`DefaultHttpChunk(ChannelBuffer content)` Creates a new instance with the specified chunk content.

Method Summary
`ChannelBuffer` `getContent()` Returns the content of this chunk.
`boolean` `isLast()` Returns `true` if and only if this chunk is the 'end of content' marker.
`void` `setContent(ChannelBuffer content)` Sets the content of this chunk.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHttpChunk

    public DefaultHttpChunk(ChannelBuffer content)

  Creates a new instance with the specified chunk content. If an empty buffer is specified, this chunk becomes the 'end of content' marker.

Method Detail

### getContent

    public ChannelBuffer getContent()

  Description copied from interface: `HttpChunk`
  Returns the content of this chunk. If this is the 'end of content' marker, `ChannelBuffers.EMPTY_BUFFER` will be returned.

  Specified by:
    `getContent` in interface `HttpChunk`

### setContent

    public void setContent(ChannelBuffer content)

  Description copied from interface: `HttpChunk`
  Sets the content of this chunk. If an empty buffer is specified, this chunk becomes the 'end of content' marker.

  Specified by:
    `setContent` in interface `HttpChunk`

### isLast

    public boolean isLast()

  Description copied from interface: `HttpChunk`
  Returns `true` if and only if this chunk is the 'end of content' marker.

  Specified by:
    `isLast` in interface `HttpChunk`

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.